Skip to main content
PUT
/
terraform
/
{terraformId}
/
advancedSettings
Edit Advanced settings
curl --request PUT \
  --url https://api.qovery.com/terraform/{terraformId}/advancedSettings \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "build.timeout_max_sec": 123,
  "build.cpu_max_in_milli": 123,
  "build.ram_max_in_gib": 123,
  "build.ephemeral_storage_in_gib": 123,
  "build.skip_git_submodules": true,
  "deployment.termination_grace_period_seconds": 123,
  "deployment.affinity.node.required": {},
  "security.service_account_name": "<string>",
  "security.read_only_root_filesystem": true
}
'
import requests

url = "https://api.qovery.com/terraform/{terraformId}/advancedSettings"

payload = {
"build.timeout_max_sec": 123,
"build.cpu_max_in_milli": 123,
"build.ram_max_in_gib": 123,
"build.ephemeral_storage_in_gib": 123,
"build.skip_git_submodules": True,
"deployment.termination_grace_period_seconds": 123,
"deployment.affinity.node.required": {},
"security.service_account_name": "<string>",
"security.read_only_root_filesystem": True
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
'build.timeout_max_sec': 123,
'build.cpu_max_in_milli': 123,
'build.ram_max_in_gib': 123,
'build.ephemeral_storage_in_gib': 123,
'build.skip_git_submodules': true,
'deployment.termination_grace_period_seconds': 123,
'deployment.affinity.node.required': {},
'security.service_account_name': '<string>',
'security.read_only_root_filesystem': true
})
};

fetch('https://api.qovery.com/terraform/{terraformId}/advancedSettings', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "build.timeout_max_sec": 123,
  "build.cpu_max_in_milli": 123,
  "build.ram_max_in_gib": 123,
  "build.ephemeral_storage_in_gib": 123,
  "build.skip_git_submodules": true,
  "deployment.termination_grace_period_seconds": 123,
  "deployment.affinity.node.required": {},
  "security.service_account_name": "<string>",
  "security.read_only_root_filesystem": true
}

Authorizations

Authorization
string
header
required

JWT tokens should be used with OIDC account (human to machine). JWT tokens used by the Qovery console to communicate with the API have a TTL. Curl Example ' curl https://console.qovery.com/organization -H "Authorization: Bearer $qovery_token" '

Path Parameters

terraformId
string<uuid>
required

Body

application/json
build.timeout_max_sec
integer

define the max timeout for the build

build.cpu_max_in_milli
integer

define the max cpu resources (in milli)

build.ram_max_in_gib
integer

define the max ram resources (in gib)

build.ephemeral_storage_in_gib
integer
build.skip_git_submodules
boolean

skip git submodules update when cloning the repository

deployment.termination_grace_period_seconds
integer

define how long in seconds an application is supposed to be stopped gracefully

deployment.affinity.node.required
object

Set pod placement on specific Kubernetes nodes labels

security.service_account_name
string

Allows you to set an existing Kubernetes service account name

security.read_only_root_filesystem
boolean

Mounts the container's root filesystem as read-only

Response

Updated advanced settings

build.timeout_max_sec
integer

define the max timeout for the build

build.cpu_max_in_milli
integer

define the max cpu resources (in milli)

build.ram_max_in_gib
integer

define the max ram resources (in gib)

build.ephemeral_storage_in_gib
integer
build.skip_git_submodules
boolean

skip git submodules update when cloning the repository

deployment.termination_grace_period_seconds
integer

define how long in seconds an application is supposed to be stopped gracefully

deployment.affinity.node.required
object

Set pod placement on specific Kubernetes nodes labels

security.service_account_name
string

Allows you to set an existing Kubernetes service account name

security.read_only_root_filesystem
boolean

Mounts the container's root filesystem as read-only